## START: Set by rpmautospec
## (rpmautospec version 0.2.6)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 5;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

# Generated by rust2rpm 20
# * compiling the test suite cause OOM failures on some architectures
%bcond_with check

# don't generate Requires for /usr/bin/pwsh / PowerShell
%global __requires_exclude_from ^%{cargo_registry}/%{crate}-%{version_no_tilde}/src/init/starship\\.ps1$

# reduce debuginfo verbosity on armv7hl to work around rustc OOM problems
%ifarch %{arm}
%global rustflags_debuginfo 1
%endif

%global crate starship

Name:           rust-%{crate}
Version:        1.2.1
Release:        %autorelease
Summary:        Minimal, blazing-fast, and infinitely customizable prompt for any shell

# Upstream license specification: ISC
License:        ISC
URL:            https://crates.io/crates/starship
Source:         %{crates_source}
# Initial patched metadata
# * bump open from 2.0.2 to 3.0.2:
#   https://github.com/starship/starship/commit/4211a99
# * temporarily downgrade git2 dependency from 0.13.25 to 0.13.20
# * drop windows-specific dependencies
Patch0:         starship-fix-metadata.diff

ExclusiveArch:  %{rust_arches}

BuildRequires:  rust-packaging

%global _description %{expand:
Minimal, blazing-fast, and infinitely customizable prompt for any shell! ☄🌌️.}

%description %{_description}

%package     -n %{crate}
Summary:        %{summary}
# ASL 2.0
# ASL 2.0 or Boost
# ASL 2.0 or MIT
# ISC
# MIT
# MIT and ASL 2.0
# MIT or ASL 2.0
# MIT or ASL 2.0 or zlib
# Unlicense or MIT
# zlib or ASL 2.0 or MIT
License:        ISC and ASL 2.0 and MIT

%description -n %{crate} %{_description}

%files       -n %{crate}
%license LICENSE
%doc README.md
%{_bindir}/starship

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license LICENSE
%doc README.md
%{cargo_registry}/%{crate}-%{version_no_tilde}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+battery-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+battery-devel %{_description}

This package contains library source intended for building other packages which
use the "battery" feature of the "%{crate}" crate.

%files       -n %{name}+battery-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+notify-rust-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+notify-rust-devel %{_description}

This package contains library source intended for building other packages which
use the "notify-rust" feature of the "%{crate}" crate.

%files       -n %{name}+notify-rust-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+starship-battery-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+starship-battery-devel %{_description}

This package contains library source intended for building other packages which
use the "starship-battery" feature of the "%{crate}" crate.

%files       -n %{name}+starship-battery-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires -a
%if %{with check}
echo 'git-core'
%endif

%build
%cargo_build -a

%install
%cargo_install -a

%if %{with check}
%check
%cargo_test -a
%endif

%changelog
* Sun Jul 24 2022 Fabio Valentini <decathorpe@gmail.com> 1.2.1-5
- Bump open from 2.0.2 to 3.0.2, remove some temporary downgrades

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> 1.2.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Tue Feb 15 2022 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> 1.2.1-3
- Rebuild with package notes

* Sun Feb 06 2022 Fabio Valentini <decathorpe@gmail.com> 1.2.1-2
- Disable test suite as its compilation triggers OOM failures

* Sat Feb 05 2022 Fabio Valentini <decathorpe@gmail.com> 1.2.1-1
- Update to version 1.2.1; Fixes RHBZ#1998214

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> 0.56.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Sun Nov 28 2021 Igor Raits <ignatenkobrain@fedoraproject.org> 0.56.0-5
- Rebuild for libgit2 1.3.x

* Thu Sep 30 2021 Fabio Valentini <decathorpe@gmail.com> 0.56.0-4
- Enable optional features (including desktop notification support)

* Tue Sep 14 2021 Sahana Prasad <sahana@redhat.com> 0.56.0-3
- Rebuilt with OpenSSL 3.0.0

* Sat Aug 07 2021 Fabio Valentini <decathorpe@gmail.com> 0.56.0-2
- Rebuild with crossbeam-deque 0.8.1 / 0.7.4 for CVE-2021-32810

* Sun Aug 01 2021 Fabio Valentini <decathorpe@gmail.com> 0.56.0-1
- Update to version 0.56.0; Fixes RHBZ#1974127

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.55.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Mon Jun 21 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 0.55.0-1
- build(update): 0.55.0

* Fri Jun 04 2021 Fabio Valentini <decathorpe@gmail.com> - 0.54.0-1
- Update to version 0.54.0.
- Fixes RHBZ#1922452

* Mon Mar 01 2021 Fabio Valentini <decathorpe@gmail.com> - 0.48.0-3
- Bump nix to 0.20.0.

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.48.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Mon Jan 04 2021 Fabio Valentini <decathorpe@gmail.com> - 0.48.0-1
- Update to version 0.48.0.
- Fixes RHBZ#1912030

* Tue Dec 29 14:21:51 CET 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 0.47.0-3
- Rebuild against libgit2 1.1.x

* Mon Dec 28 13:33:06 CET 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 0.47.0-2
- Rebuild

* Sun Dec 27 11:41:59 CET 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 0.47.0-1
- Update to 0.47.0 (Fixes: RHBZ#1851477)

* Tue Sep 29 2020 Fabio Valentini <decathorpe@gmail.com> - 0.42.0-5
- Bump attohttpc to 0.15.

* Sun Aug 16 15:01:50 GMT 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 0.42.0-4
- Rebuild

* Sat Aug 01 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.42.0-3
- Second attempt - Rebuilt for
  https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.42.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Wed Jun 10 2020 Josh Stone <jistone@redhat.com> - 0.42.0-1
- Update to 0.42.0

* Sat May 16 19:47:50 CEST 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 0.41.3-1
- Update to 0.41.3

* Thu May 14 19:31:23 CEST 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 0.41.1-1
- Update to 0.41.1

* Tue May 05 2020 Josh Stone <jistone@redhat.com> - 0.41.0-1
- Update to 0.41.0

* Wed Apr 15 08:44:33 CEST 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 0.40.1-1
- Update to 0.40.1

* Tue Mar 24 06:47:58 CET 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 0.38.1-1
- Update to 0.38.1

* Sat Mar 21 07:37:04 CET 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 0.38.0-1
- Update to 0.38.0

* Thu Mar 19 11:08:35 CET 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 0.37.0-2
- Update git2 to 0.13

* Tue Mar 03 2020 Josh Stone <jistone@redhat.com> - 0.37.0-1
- Update to 0.37.0

* Thu Feb 20 09:08:02 CET 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 0.36.1-1
- Update to 0.36.1

* Sun Feb 16 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 0.36.0-2
- Fixup license list

* Thu Feb 13 05:20:12 EET 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 0.36.0-1
- Update to 0.36.0

* Tue Feb 11 13:28:47 CET 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 0.35.1-1
- Update to 0.35.1

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.32.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Thu Dec 26 08:19:53 CET 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.32.1-1
- Update to 0.32.1

* Thu Dec 19 14:06:54 CET 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.30.1-3
- Run tests

* Fri Dec 13 2019 Artem Polishchuk <ego.cordatus@gmail.com> - 0.30.1-2
- Update to 0.30.1

* Fri Dec 13 2019 Artem Polishchuk <ego.cordatus@gmail.com> - 0.29.0-1
- Update to 0.29.0

* Wed Dec 04 2019 Artem Polishchuk <ego.cordatus@gmail.com> - 0.27.0-1
- Update to 0.27.0

* Thu Nov 28 2019 Artem Polishchuk <ego.cordatus@gmail.com> - 0.26.5-1
- Update to 0.26.5

* Mon Nov 25 10:54:30 EET 2019 Artem Polishchuk <ego.cordatus@gmail.com> - 0.26.4-1
- Initial package

